# Class TableColumnFilterInputDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:22

#####
Index

### Constructors

constructor

### Properties

column

### Methods

ngAfterViewInit
ngOnDestroy

##
Constructors

### constructor

- new TableColumnFilterInputDirective(
  ngModel: NgModel,
  tableColumnFilterService: TableColumnFilterService,
  ): TableColumnFilterInputDirective

  #### Parameters

  - ngModel: NgModel
  - tableColumnFilterService: TableColumnFilterService

  #### Returns TableColumnFilterInputDirective

  - Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:29

##
Properties

### column

column: string

- Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:25

##
Methods

### ngAfterViewInit

- ngAfterViewInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of a component's view. It is invoked only once when the view is instantiated.

  #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:41

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/table-column-filter/table-column-filter-input.directive.ts:37